CFB_Mode_ExternalCipher Class Reference

CFB mode, external cipher. More...

Inheritance diagram for CFB_Mode_ExternalCipher:

## Public Types

typedef CipherModeFinalTemplate_ExternalCipher< ConcretePolicyHolder< Empty, CFB_EncryptionTemplate< AbstractPolicyHolder< CFB_CipherAbstractPolicy, CFB_ModePolicy > > > > | Encryption
typedef CipherModeFinalTemplate_ExternalCipher< ConcretePolicyHolder< Empty, CFB_DecryptionTemplate< AbstractPolicyHolder< CFB_CipherAbstractPolicy, CFB_ModePolicy > > > > | Decryption
Public Types inherited from SymmetricCipherDocumentation
typedef SymmetricCipher | Encryption
| implements the SymmetricCipher interface
typedef SymmetricCipher | Decryption
| implements the SymmetricCipher interface

## Detailed Description

CFB mode, external cipher.

Definition at line 356 of file modes.h.

The documentation for this class was generated from the following file:

- modes.h